const { gql } = require('apollo-server-express');

module.exports = gql`

    type Traitement {
        id: ID!
        code: String!
        debutAt: DateTime!
        finAt: DateTime!
        intitule: String!
        commentaire: String
        status: Int!
        createdBy: String!
        createdAt: DateTime
        updatedAt: DateTime
        patient: Patient!
        prescriptions: [Prescription!]
    }

    extend type Query {
        findAllTraitement: (patientId: String!): Traitement!
    }

    extend type Mutation {
        createMesure(patientId: String!, debutAt: DateTime!, finAt: DateTime!, intitule: String!, commentaire: String, createdBy: String!): Mesure!
    }

`;